> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List images

> Returns the images available to your tenant. Use an image `ref` when creating a virtual machine.



## OpenAPI

````yaml /api-reference/compute-public.v1.openapi.json get /compute/v1/catalog/images
openapi: 3.0.3
info:
  title: Mount Thor Compute — friendly public compute API
  description: >-
    Create, list, inspect, delete, and power virtual machines. Create, list,
    inspect, and delete bare-metal machines. Use the machine-class catalog to
    choose a size. To change a machine class or image, delete the machine and
    create a new one.
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
tags:
  - name: ComputeService
paths:
  /compute/v1/catalog/images:
    get:
      tags:
        - ComputeService
      summary: List images
      description: >-
        Returns the images available to your tenant. Use an image `ref` when
        creating a virtual machine.
      operationId: ComputeService_ListImages
      responses:
        '200':
          description: Images returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListImagesResponse'
components:
  schemas:
    ListImagesResponse:
      type: object
      properties:
        images:
          type: array
          items:
            $ref: '#/components/schemas/Image'
      description: The images available to your tenant.
    Image:
      type: object
      properties:
        ref:
          type: string
          description: Image reference used when creating a VM.
        displayName:
          type: string
          description: Human-readable image name.
        digest:
          type: string
          description: Image version identifier.
      description: An image available for virtual machines.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Mount Thor session token
      description: Use a short-lived Mount Thor session token in the Authorization header.

````